package com.goldenwater.slaj.eutr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eutr.mapper.BisEutrCourRecMapper;
import com.goldenwater.slaj.eutr.domain.BisEutrCourRec;
import com.goldenwater.slaj.eutr.service.IBisEutrCourRecService;

@Service
public class BisEutrCourRecServiceImpl implements IBisEutrCourRecService {
    @Autowired
    private BisEutrCourRecMapper bisEutrCourRecMapper;

    @Override
    public BisEutrCourRec selectBisEutrCourRecByGuid(String guid) {
        return bisEutrCourRecMapper.selectBisEutrCourRecByGuid(guid);
    }

    @Override
    public List<BisEutrCourRec> selectBisEutrCourRecList(BisEutrCourRec bisEutrCourRec) {
        return bisEutrCourRecMapper.selectBisEutrCourRecList(bisEutrCourRec);
    }

    @Override
    public int insertBisEutrCourRec(BisEutrCourRec bisEutrCourRec) {
        return bisEutrCourRecMapper.insertBisEutrCourRec(bisEutrCourRec);
    }

    @Override
    public int updateBisEutrCourRec(BisEutrCourRec bisEutrCourRec) {
        return bisEutrCourRecMapper.updateBisEutrCourRec(bisEutrCourRec);
    }

    @Override
    public int deleteBisEutrCourRecByGuid(String guid) {
        return bisEutrCourRecMapper.deleteBisEutrCourRecByGuid(guid);
    }

    @Override
    public int deleteBisEutrCourRecByGuids(String[] guids) {
        return bisEutrCourRecMapper.deleteBisEutrCourRecByGuids(guids);
    }
}
